include	clib.inc
include	dos.inc

PPROC	wsetaccessdate, handle,acdate,actime:word
	stc
	mov	ax,5705h
	mov	bx,handle
	mov	cx,actime
	mov	dx,acdate
	int	21h
	jc	wsetaccessdate_error
	xor	ax,ax
    wsetaccessdate_toend:
	ret
    wsetaccessdate_error:
	call	@dosmaper
	mov	ax,-1
	jmp	wsetaccessdate_toend
PEND	wsetaccessdate

	END